Package tigase.util.stringprep

# Interface XMPPStringPrepIfc

All Known Implementing Classes:
  `XMPPStringPrepEmpty`, `XMPPStringPrepSimple`

public interface XMPPStringPrepIfc
Interface defining stringprep processor API. According to RFC-3920 all JID's parts have to be stringprep processed, each part should go through different algorithm. The interface and XMPPStringPrepFactory allow for pluggable stringprep processor implementation. See the factory documentation for more details. Created: Dec 28, 2009 9:57:43 PM

Version:
  $Rev$
Author:
  Artur Hefczyc

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `nameprep(String domain)`
  JID's domain part stringprep processing.
  `String`
  `nodeprep(String localpart)`
  JID's localpart (or nick name) stringprep processing.
  `String`
  `resourceprep(String resource)`
  JID's resource stringprep proessing.

- ## Method Details

  - ### nameprep

    String nameprep(String domain) throws TigaseStringprepException
    JID's domain part stringprep processing. In RFC-3920 this is called nameprep processing.
    Parameters:
      `domain` - a `String` value of the JID's domain part.
    Returns:
      nameprep processed JID's doman part.
    Throws:
      `TigaseStringprepException` - if stringprep exception occurs.

  - ### nodeprep

    String nodeprep(String localpart) throws TigaseStringprepException
    JID's localpart (or nick name) stringprep processing. In RFC-3920 this is called nodeprep processing.
    Parameters:
      `localpart` - a `String` value of the JID's localpart.
    Returns:
      nodeprep processed JID's localpart.
    Throws:
      `TigaseStringprepException` - if stringprep exception occurs.

  - ### resourceprep

    String resourceprep(String resource) throws TigaseStringprepException
    JID's resource stringprep proessing. In RFC-3920 this is called resourceprep processing.
    Parameters:
      `resource` - a `String` value of the JID's resource part.
    Returns:
      resourceprep processed JID's resource part.
    Throws:
      `TigaseStringprepException` - if stringprep exception occurs.